Skip to main content
GET
/
events
cURL
curl -X GET "https://api.swoogo.com/api/v1/events?fields=id,name,status,start_date,end_date&search=status%3Dlive&sort=-start_date" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN"
{
  "items": [
    {
      "created_at": "2023-04-21 15:46:23",
      "updated_at": "2023-04-21 15:47:37"
    }
  ],
  "_links": {
    "self": {
      "href": ""
    },
    "first": {
      "href": ""
    },
    "last": {
      "href": ""
    }
  },
  "_meta": {
    "totalCount": 1,
    "pageCount": 1,
    "currentPage": 1,
    "perPage": 20
  }
}

Authorizations

Authorization
string
header
required

OAuth 2.0 bearer token obtained from POST /oauth2/token. Tokens expire after 30 minutes. Include in the Authorization header as Bearer {access_token}.

Query Parameters

fields
string

string - optional - Comma separated list of fields you want to return

Example:

"capacity,close_date,close_time,created_at,created_by,description,domain,end_date,end_time,folder_id,free_event,hashtag,id,name,organizer_id,start_date,start_time,status,target_attendance,timezone,type_id,updated_at,updated_by,url,webinar_url"

expand
string

string - optional - Comma separated list of related objects to include. Valid values: folder, location, sessions, sponsors, speakers, translations

Example:

"folder,location"

string - optional - Filter conditions to narrow the results. Valid operators are =, !=, >=, <=, >, <, contains, beginswith, endswith

Example:

"id>123"

page
string

integer - optional - The page of results you want to view

Example:

"1"

per-page
string

integer - optional - The number of results per page (to a max of 200)

Example:

"5"

sort
string

string - optional - Sort the results (add - in front for opposite sort direction, e.g. "-id")

ids
string

Comma-separated list of IDs to retrieve. When provided, only records matching these IDs are returned. All values must be positive integers. Maximum 100 IDs per request.

Body

multipart/form-data

The body is of type object.

Response

Collection

items
object[]
_meta
object